Bug 245725 - [exp-run] devel/gmake: update to 4.3
Summary: [exp-run] devel/gmake: update to 4.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-18 15:27 UTC by Tijl Coosemans
Modified: 2020-05-09 21:35 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments
patch (10.49 KB, patch)
2020-04-18 15:27 UTC, Tijl Coosemans
no flags Details | Diff
patch2 (28.84 KB, patch)
2020-04-27 09:32 UTC, Tijl Coosemans
no flags Details | Diff
patch3 (36.34 KB, patch)
2020-05-06 12:54 UTC, Tijl Coosemans
no flags Details | Diff
patch4 (34.87 KB, patch)
2020-05-09 08:17 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2020-04-18 15:27:54 UTC
Created attachment 213540 [details]
patch

Update devel/gmake to 4.3.
Comment 4 Antoine Brodin freebsd_committer 2020-04-26 08:12:57 UTC
The v4l-utils failure may be a false positive due to a stale v4l_compat package
Comment 5 Tijl Coosemans freebsd_committer 2020-04-27 09:32:35 UTC
Created attachment 213843 [details]
patch2

- Mk/Uses/gmake.mk: Require at least gmake 4.3 because there are incompatibilities with previous versions.
- Add patches to fix build breakage.
Comment 8 Tijl Coosemans freebsd_committer 2020-05-06 12:54:20 UTC
Created attachment 214196 [details]
patch3

More build fixes.
Comment 10 Tijl Coosemans freebsd_committer 2020-05-09 08:17:23 UTC
Created attachment 214300 [details]
patch4

More fixes.
Comment 11 Antoine Brodin freebsd_committer 2020-05-09 17:45:45 UTC
Exp-run looks fine
Comment 12 commit-hook freebsd_committer 2020-05-09 19:25:07 UTC
A commit references this bug:

Author: tijl
Date: Sat May  9 19:24:54 UTC 2020
New revision: 534792
URL: https://svnweb.freebsd.org/changeset/ports/534792

Log:
  Update devel/gmake to 4.3.

  Some changes have been made in this release that break backwards
  compatibility.  Let USES=gmake force users to upgrade to this version so
  port maintainers don't have to support older versions.

  PR:		245725
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Uses/gmake.mk
  head/biology/mothur/files/
  head/biology/mothur/files/patch-Makefile
  head/devel/gmake/Makefile
  head/devel/gmake/distinfo
  head/devel/gmake/files/patch-default.c
  head/devel/gmake/files/patch-glob-glob.c
  head/devel/gmake/files/patch-lib-glob.c
  head/devel/gmake/files/patch-posixos.c
  head/devel/gmake/files/patch-src-default.c
  head/devel/gmake/pkg-plist
  head/devel/ptlib/files/patch-make_common.mak
  head/editors/openoffice-4/files/patch-gmake43
  head/editors/openoffice-devel/files/patch-gmake43
  head/emulators/mame/files/patch-3rdparty_genie_src_host_scripts.c
  head/java/openjdk12/files/patch-10-af5c725b
  head/java/openjdk13/files/patch-10-af5c725b
  head/lang/cparser/files/patch-Makefile
  head/multimedia/aegisub/files/patch-Makefile.target
  head/multimedia/gstreamer-plugins/Makefile
  head/multimedia/gstreamer1/files/patch-libs_gst_controller_Makefile.in
  head/multimedia/gstreamer1-plugins/Makefile
  head/net-im/farsight2/Makefile
  head/net-im/farstream/Makefile
  head/security/py-pyvex/files/patch-pyvex__c_Makefile